com.google.gwt.core.ext.linker

## Class SymbolData.ClassIdentComparator

- java.lang.Object
- - com.google.gwt.core.ext.linker.SymbolData.ClassIdentComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<SymbolData>

Enclosing interface:
  SymbolData

    public static class SymbolData.ClassIdentComparator
    extends java.lang.Object
    implements java.util.Comparator<SymbolData>, java.io.Serializable

A Comparator for use when presenting the data to humans. This Comparator orders SymbolData objects by their class names or JSNI idents.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClassIdentComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(SymbolData o1, SymbolData o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### ClassIdentComparator

    public ClassIdentComparator()

### Method Detail

#### compare

    public int compare(SymbolData o1,
                       SymbolData o2)

Specified by:
  `compare` in interface `java.util.Comparator<SymbolData>`